#ifndef TrigLevel2_h
#define TrigLevel2_h
//
#include <TObject.h>
#include <TClonesArray.h>

#include <TrigStruct.h>

class TrigLevel2 : public TObject {
 private:

 public:
  UInt_t         evcount;
  UInt_t         pmtpl[3];
  UInt_t         trigrate[6];
  UInt_t         dltime[2];
  UInt_t         s4calcount[2];
  UInt_t         pmtcount1[24];
  UInt_t         pmtcount2[24];
  UInt_t         patternbusy[3];
  UInt_t         patterntrig[6];
  UInt_t         trigconf;
  Int_t          unpackError;
  //
  // here you can define methods to make life simplier during the analysis
  //

  //
  // constructor
  //
  TrigLevel2();
  //
  // 16 June 06: Included GetTrigLevel2
  TrigLevel2*   GetTrigLevel2(){return this;};
  void SetFromLevel2Struct(cTrigLevel2 *l2);
  void GetLevel2Struct(cTrigLevel2 *l2) const;


  void Clear(); //emiliano
  
  ClassDef(TrigLevel2,2);
};

#endif
